Videos cannot be viewed without downloading
Closed, ResolvedPublic

Description

Upstream: https://secure.phabricator.com/T6916
Related upstream ticket (about OGG): https://secure.phabricator.com/T6674

Video files should be viewable on site, in browser rather than requiring the user to download. Videos are often used to show bugs, the current workflow to view them is too many steps.

Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF raised the priority of this task from to Needs Triage.
Jaredzimmerman-WMF changed Security from none to None.
Jaredzimmerman-WMF updated the task description. (Show Details)
Aklapper triaged this task as Lowest priority.Dec 10 2014, 4:46 AM

The video above has the mimetype "video/quicktime" and that is not listed under files.viewable-mime-types - actually, no video mimetypes are listed at all. And adding it won't fix that either (tried that locally).

See https://secure.phabricator.com/T6674#85975 for general upstream plans; I guess we'll have to wait for upstream here.

Qgil updated the task description. (Show Details)Dec 10 2014, 12:12 PM
Qgil moved this task from Backlog to Wikimedia requests on the Phabricator (Upstream) board.

I don't know how to download a video either, e.g. T117759 / F2914606. If I click "view" and save (after playing is aborted for an alleged network failure), I only get a 13 KB .ogx file.

Confirming for F2914606: The HTTP 302 becomes a HTTP 206 and then becomes a HTTP 403.
Which might be a different problem.

I personally do not really think this is a good idea. This would encourage people to make videos. Well if we absolutely can't understand what's going on, videos might be useful in a bug report, 99% of the time they would just be annoying, and better served with a prose description, or a screenshot.

Videos do not make good bug reports.

@Aklapper and @Nemo_bis downloading the video now works. It was because of security and caching which was fixed upstream and applied here. It is now transparent and dosent break anything any more.

Videos do not make good bug reports.

If we don't want videos, we should reject them. As long as uploading them is allowed, it's not responsible to trash the reporter's work.

Pginer-WMF added a comment.EditedMay 20 2016, 9:59 AM

Videos do not make good bug reports.

Any medium can be abused, or used to communicate better. Videos don't make good bug reports but they don't make them necessarily bad either.

Currently animated gifs can be used, and I've been using them for reporting issues (e.g., T134854) or describing new design aspects such as transitions (e.g., T120067). I think that visual communication helped to make things clear in those cases.

While you can argue that animated gifs could lead to a Phabricator crowded of memes and other distracting gifs, that has not been the case in practice. I see no evidence to think that videos would be used much differently.

Unfortunately animated gifs fall short in many cases where more bandwidth is needed to communicate some ideas (e.g., a walkthrough of a prototype).

epriestley updated the task description. (Show Details)May 25 2016, 4:37 PM

T75990 is resolved. Upstream https://secure.phabricator.com/T6916 still open to cover some more cases hence also keeping this downstream task open.

Videos do not make good bug reports.

Not usually, but sometimes I've actually found them very useful. I don't think this would be visible enough to most reporters to cause us many problems.

Aklapper closed this task as Resolved.
Aklapper claimed this task.

https://secure.phabricator.com/T6916 and https://secure.phabricator.com/T6674 are closed as resolved.

I don't know how to download a video either, e.g. T117759 / F2914606. If I click "view" and save (after playing is aborted for an alleged network failure), I only get a 13 KB .ogx file.

The video test case provided by @Nemo_bis now plays embedded / inline for me in Firefox 47 on this very Phabricator instance.

Closing this task as resolved.

Peachey88 removed Aklapper as the assignee of this task.Jul 27 2016, 11:02 PM